from django.db import models

# Create your models here.
#from django.db import models
# date_of_announcement
# Create your models here.

# Create your models here.
class login_category(models.Model):
    id = models.BigAutoField(primary_key=True)
    status=models.CharField(max_length=64)
    name=models.CharField(max_length=64)
    details=models.CharField(max_length=254, default="")

    def __str__(self):
        return self.id

class users(models.Model):
    id = models.BigAutoField(primary_key=True)
    #company= models.ForeignKey(company, on_delete=models.CASCADE, default="")
    first_name=models.CharField(max_length=32)
    middle_name=models.CharField(max_length=32)
    last_name=models.CharField(max_length=32)
    status=models.CharField(max_length=32)
    gender=models.CharField(max_length=16)
    mobile_number=models.CharField(max_length=16)
    user_email=models.EmailField(max_length=128)
    date_of_birth=models.DateTimeField()
    
    
        
    def __str__(self):
        return str(self.id)

class user_password(models.Model):
    id = models.BigAutoField(primary_key=True)
    users_id=models.ForeignKey(users, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)
    password=models.CharField(max_length=256,)
    issue_date=models.DateTimeField(max_length=32, null=True)
    expire_date=models.DateTimeField(max_length=32,  null=True)

    def __str__(self):
        return self.id
###user_login_category ###user_login_category
class user_login_category(models.Model):
    id = models.BigAutoField(primary_key=True)
    users_id=models.ForeignKey(users, on_delete=models.CASCADE)
    login_category_id=models.ForeignKey(login_category, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)

    def __str__(self):
        return str(self.id)



class country(models.Model):
    id = models.BigAutoField(primary_key=True)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=64)
    zipcode=models.CharField(max_length=16, default="")
    postalcode=models.CharField(max_length=16, default="")

    def __str__(self):
        return str(self.id) 
    
class city(models.Model):
    id = models.BigAutoField(primary_key=True)
    country=models.ForeignKey(country, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=64)
    code=models.CharField(max_length=16, default="")

    def __str__(self):
        return str(self.id)
    

class district(models.Model):
    id = models.BigAutoField(primary_key=True)
    city=models.ForeignKey(city, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=64)
    code=models.CharField(max_length=16, default="")

    def __str__(self):
        return str(self.id)
    
class ward(models.Model):
    id = models.BigAutoField(primary_key=True)
    district=models.ForeignKey(district, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=64)
    code=models.CharField(max_length=16, default="")

    def __str__(self):
        return str(self.id)
        
        
class announcement_receivers(models.Model):
    id = models.BigAutoField(primary_key=True)
    #announcements= models.ForeignKey(announcements, on_delete=models.CASCADE, default="")
    name=models.CharField(max_length=64)
    status=models.CharField(max_length=32)
    
    
    def __str__(self):
        return str(self.id)


class organization(models.Model):
    id = models.BigAutoField(primary_key=True)
    district=models.ForeignKey(district, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=128)
    organization_code=models.CharField(max_length=16, default="")
    street=models.CharField(max_length=32)
    plot_number=models.CharField(max_length=32)
    area_details=models.CharField(max_length=128)
    telephone_number_1=models.CharField(max_length=16)
    telephone_number_2=models.CharField(max_length=16)
    email=models.CharField(max_length=128)
    website=models.CharField(max_length=128)
    
    def __str__(self):
        return str(self.id)


class organization_director_user(models.Model):
    id = models.BigAutoField(primary_key=True)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    organization=models.ForeignKey(organization, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)



class school(models.Model):
    id = models.BigAutoField(primary_key=True)
    district=models.ForeignKey(district, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=128)
    school_code=models.CharField(max_length=16, default="")
    street=models.CharField(max_length=32)
    plot_number=models.CharField(max_length=32)
    area_details=models.CharField(max_length=128)
    telephone_number_1=models.CharField(max_length=16)
    telephone_number_2=models.CharField(max_length=16)
    email=models.CharField(max_length=128)
    website=models.CharField(max_length=128)
    category=models.CharField(max_length=32)
    
    def __str__(self):
        return str(self.id)


class pics(models.Model):
    id = models.BigAutoField(primary_key=True)
    img = models.ImageField(upload_to='Posted_Images/', default=None)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    status=models.CharField(max_length=16)
    
    
    def __str__(self):
        return str(self.id)

class marketing_banner(models.Model):
    id = models.BigAutoField(primary_key=True)
    img = models.ImageField(upload_to='Posted_Banner_Images/', default=None)
    #school=models.ForeignKey(school, on_delete=models.CASCADE)
    title=models.CharField(max_length=64)
    owner=models.CharField(max_length=128)
    date_of_upload=models.DateTimeField()
    status=models.CharField(max_length=16)
    
    
    def __str__(self):
        return str(self.id)


class school_pics(models.Model):
    id = models.BigAutoField(primary_key=True)
    pics=models.ForeignKey(pics, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    pic_title=models.CharField(max_length=128, null=True)
    pic_details=models.CharField(max_length=528, null=True)
    status=models.CharField(max_length=32)
   
    def __str__(self):
        return str(self.id)






class school_user(models.Model):
    id = models.BigAutoField(primary_key=True)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)


class organization_school(models.Model):
    id = models.BigAutoField(primary_key=True)
    organization=models.ForeignKey(organization, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)


class district_user(models.Model):
    id = models.BigAutoField(primary_key=True)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    district=models.ForeignKey(district, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)

class school_owner_user(models.Model):
    id = models.BigAutoField(primary_key=True)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)




class student(models.Model):
    id = models.BigAutoField(primary_key=True)
    #company= models.ForeignKey(company, on_delete=models.CASCADE, default="")
    first_name=models.CharField(max_length=32)
    middle_name=models.CharField(max_length=32)
    last_name=models.CharField(max_length=32)
    date_of_birth=models.DateTimeField()
    
    gender=models.CharField(max_length=16)
    first_parent_name=models.CharField(max_length=64)
    first_mobile_number=models.CharField(max_length=16)
    second_parent_name=models.CharField(max_length=64)
    second_mobile_number=models.CharField(max_length=16)
    status=models.CharField(max_length=16)


class school_student(models.Model):
    id = models.BigAutoField(primary_key=True)
    student=models.ForeignKey(student, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)

    status=models.CharField(max_length=32)
    
    def __str__(self):
        return str(self.id)


class school_parent_credentials(models.Model):
    idstr = models.CharField(primary_key=True, max_length=15)
    #student=models.ForeignKey(users, on_delete=models.CASCADE)
    #school=models.ForeignKey(school, on_delete=models.CASCADE)
    mobile_number = models.CharField( max_length=15)
    parent_password = models.CharField( max_length=15)
    
    status=models.CharField(max_length=32)
    
    def __str__(self):
        return str(self.id)

class school_parent_credentials_students(models.Model):
    id = models.BigAutoField(primary_key=True)
    student=models.ForeignKey(student, on_delete=models.CASCADE)
    #school=models.ForeignKey(school, on_delete=models.CASCADE)
    #mobile_number = models.CharField( max_length=15)
    #parent_password = models.CharField( max_length=15)
    
    status=models.CharField(max_length=32)
    
    def __str__(self):
        return str(self.id)



    
class class_levels(models.Model):
    id = models.BigAutoField(primary_key=True)
    name=models.CharField(max_length=16)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class school_class(models.Model):
    id = models.BigAutoField(primary_key=True)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)
   
class school_sub_class(models.Model):
    id = models.BigAutoField(primary_key=True)
    #student=models.ForeignKey(users, on_delete=models.CASCADE)
    school_class=models.ForeignKey(school_class, on_delete=models.CASCADE)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)

class academic_year(models.Model):
    id = models.BigAutoField(primary_key=True)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)

class announcements(models.Model):
    id = models.BigAutoField(primary_key=True)
    announcement_receivers=models.ForeignKey(announcement_receivers, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    msg=models.CharField(max_length=1028)
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)


class announcements_ext(models.Model):
    id = models.BigAutoField(primary_key=True)
    announcement_receivers=models.ForeignKey(announcement_receivers, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    student=models.ForeignKey(student, on_delete=models.CASCADE)
    msg=models.CharField(max_length=1028)
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)



class user_announcements(models.Model):
    id = models.BigAutoField(primary_key=True)
    announcements=models.ForeignKey(announcements, on_delete=models.CASCADE)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    #class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    #academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    #msg=models.CharField(max_length=1028)
    date_of_announcement=models.DateTimeField()
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)

class students_parent_announcements(models.Model):
    id = models.BigAutoField(primary_key=True)
    announcements=models.ForeignKey(announcements, on_delete=models.CASCADE)
    student=models.ForeignKey(student, on_delete=models.CASCADE)
    #class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    #academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    #msg=models.CharField(max_length=1028)
    date_of_announcement=models.DateTimeField()
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)

##ZAKAT
class doc_files(models.Model):
    id = models.BigAutoField(primary_key=True)
    title = models.CharField(max_length = 80)
    pdf = models.FileField(upload_to='pdfs/')
    status=models.CharField(max_length=16)
    announcements=models.ForeignKey(announcements, on_delete=models.CASCADE)
    
    def __str__(self):
        return str(self.id)


class doc_files_ext(models.Model):
    id = models.BigAutoField(primary_key=True)
    #title = models.CharField(max_length = 80)
    pdf = models.FileField(upload_to='pdfs/')
    #status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)

class announcements_doc_files(models.Model):
    id = models.BigAutoField(primary_key=True)
    announcements=models.ForeignKey(announcements, on_delete=models.CASCADE)
  
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)

###announcements
class student_sub_class(models.Model):
    id = models.BigAutoField(primary_key=True)
    student=models.ForeignKey(student, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    
    def __str__(self):
        return str(self.id)


class subjects(models.Model):
    id = models.BigAutoField(primary_key=True)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    name_short=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)

class subjects_grades(models.Model):
    id = models.BigAutoField(primary_key=True)
    subjects=models.ForeignKey(subjects, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)
    

class subjects_grades_details(models.Model):
    id = models.BigAutoField(primary_key=True)
    subjects_grades=models.ForeignKey(subjects_grades, on_delete=models.CASCADE)
    #class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=8)
    remarks=models.CharField(max_length=16)
    from_grade_point=models.IntegerField()
    to_grade_point=models.IntegerField()
    division_point=models.IntegerField()
    gpa_point=models.IntegerField()
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class exams(models.Model):
    id = models.BigAutoField(primary_key=True)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=64)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class exam_report_to_parents(models.Model):
    id = models.BigAutoField(primary_key=True)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    exams=models.ForeignKey(exams, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    student=models.ForeignKey(student, on_delete=models.CASCADE)
    report_link=models.CharField(max_length=128)
    #mobile_no=models.CharField(max_length=64)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class exams_subject(models.Model):
    id = models.BigAutoField(primary_key=True)
    exams=models.ForeignKey(exams, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    subjects=models.ForeignKey(subjects, on_delete=models.CASCADE)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


###StudentExamScore   v_dd_school_exam_subjects_1_a
class student_exam_score(models.Model):
    id = models.BigAutoField(primary_key=True)
    exams=models.ForeignKey(exams, on_delete=models.CASCADE)
    exams_subject=models.ForeignKey(exams_subject, on_delete=models.CASCADE)
    school_student=models.ForeignKey(school_student, on_delete=models.CASCADE)
    score=models.DecimalField(max_digits=4, decimal_places=1)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


###StudentExamScore   v_dd_school_exam_subjects_1_a
### gwagon

class school_attendance(models.Model):
    id = models.BigAutoField(primary_key=True)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    #exams=models.ForeignKey(exams, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    date_of_attendance=models.DateTimeField(max_length=32, null=True)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)

class student_attendance(models.Model):
    id = models.BigAutoField(primary_key=True)
    school_attendance=models.ForeignKey(school_attendance, on_delete=models.CASCADE)
    school_student=models.ForeignKey(school_student, on_delete=models.CASCADE)
    #score=models.DecimalField(max_digits=4, decimal_places=1)
    morning_attendance_status=models.CharField(max_length=16)
    afternoon_attendance_status=models.CharField(max_length=16)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class teacher_subjects(models.Model):
    id = models.BigAutoField(primary_key=True)
    subjects=models.ForeignKey(subjects, on_delete=models.CASCADE)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    #name=models.CharField(max_length=32) rescue school_sub_class
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class sub_class_exam_status(models.Model):
    id = models.BigAutoField(primary_key=True)
    exams=models.ForeignKey(exams, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    #school_student=models.ForeignKey(school_student, on_delete=models.CASCADE)
    #score=models.DecimalField(max_digits=4, decimal_places=1)
    status=models.CharField(max_length=32)
    
    def __str__(self):
        return str(self.id)





class view_v_aa_wards_1_a(models.Model):
    ward_id = models.BigAutoField(primary_key=True)
    city_id= models.IntegerField()
    district_id= models.IntegerField()
    
    ward_name= models.CharField(max_length=32)
    district_name= models.CharField(max_length=32)
    city_name= models.CharField(max_length=32)

    class Meta:
        managed = False
        db_table = "v_aa_wards_1_a"



class view_v_bb_schools_1_a(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    #ward_id= models.IntegerField()
    district_id= models.IntegerField()
    city_id= models.IntegerField()

    #ward_name= models.CharField(max_length=64)
    district_name= models.CharField(max_length=64)
    city_name= models.CharField(max_length=64)
    

    school_name= models.CharField(max_length=64)
    status= models.CharField(max_length=32)
    school_code= models.CharField(max_length=32)
   
    street= models.CharField(max_length=32)
    plot_number= models.CharField(max_length=32)
    area_details= models.CharField(max_length=32)

    telephone_number_1= models.CharField(max_length=16)
    telephone_number_2= models.CharField(max_length=16)
    email= models.CharField(max_length=64)
    website= models.CharField(max_length=64)
    
    category= models.CharField(max_length=32)
  
    class Meta:
        managed = False
        db_table = "v_bb_schools_1_a"




class view_v_bb_organizations_1_a(models.Model):
    organization_id = models.BigAutoField(primary_key=True)
    #ward_id= models.IntegerField()
    #district_id= models.IntegerField()
    #city_id= models.IntegerField()

    #ward_name= models.CharField(max_length=64)
    #district_name= models.CharField(max_length=64)
    #city_name= models.CharField(max_length=64)
    

    organization_name= models.CharField(max_length=64)
    status= models.CharField(max_length=32)
    #organization_code= models.CharField(max_length=32)
   
    #street= models.CharField(max_length=32)
    #plot_number= models.CharField(max_length=32)
    #area_details= models.CharField(max_length=32)

    telephone_number_1= models.CharField(max_length=16)
    telephone_number_2= models.CharField(max_length=16)
    email= models.CharField(max_length=64)
    website= models.CharField(max_length=64)
  
    class Meta:
        managed = False
        db_table = "v_bb_organizations_1_a"



class view_v_student_attendance_1_a(models.Model):
    ssa_id = models.BigAutoField(primary_key=True)
    #ward_id= models.IntegerField()
    student_id= models.IntegerField()
    school_id= models.IntegerField()
    
    sub_class_id= models.IntegerField()
    attendance_id= models.IntegerField()
    
    academic_year_id= models.IntegerField()
    attendance_id= models.IntegerField()

    #ward_name= models.CharField(max_length=64)
    stream_name= models.CharField(max_length=64)
    academic_year= models.CharField(max_length=64)
    
    full_name= models.CharField(max_length=64)
    morning_attendance_status= models.CharField(max_length=64)
    afternoon_attendance_status= models.CharField(max_length=64)

    date_of_attendance= models.DateTimeField(max_length=32, null=True)
    ##sheli
  
    class Meta:
        managed = False
        db_table = "v_student_attendance_1_a"



class view_v_student_attendance_1_b(models.Model):
    ssa_id = models.BigAutoField(primary_key=True)
    #ward_id= models.IntegerField()
    student_id= models.IntegerField()
    school_id= models.IntegerField()
    
    sub_class_id= models.IntegerField()
    attendance_id= models.IntegerField()
    
    academic_year_id= models.IntegerField()
    attendance_id= models.IntegerField()

    #ward_name= models.CharField(max_length=64)
    stream_name= models.CharField(max_length=64)
    academic_year= models.CharField(max_length=64)
    
    full_name= models.CharField(max_length=64)
    morning_attendance_status= models.CharField(max_length=64)
    afternoon_attendance_status= models.CharField(max_length=64)

    date_of_attendance= models.DateTimeField(max_length=32, null=True)
    ##sheli
  
    class Meta:
        managed = False
        db_table = "v_student_attendance_1_b"



class view_v_cc_school_class_1_a(models.Model):
    class_id = models.BigAutoField(primary_key=True)
    school_id= models.IntegerField()
    #district_id= models.IntegerField()
    
    school_name= models.CharField(max_length=64)
    class_name= models.CharField(max_length=64)
    #city_name= models.CharField(max_length=32)

    class Meta:
        managed = False
        db_table = "v_cc_school_class_1_a"



class view_v_dd_school_exam_subjects_1_a(models.Model):
    exam_subject_id = models.BigAutoField(primary_key=True)
    exams_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    class_id= models.IntegerField()
    subject_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    school_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    #district_id= models.IntegerField()
    school_name= models.CharField(max_length=128)
    subject_name= models.CharField(max_length=64)
    exams_name= models.CharField(max_length=64)
    class_levels_name= models.CharField(max_length=16)
    class_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    stream_name= models.CharField(max_length=32)
    #city_name= models.CharField(max_length=32)
    
    class Meta:
        managed = False
        db_table = "v_dd_school_exam_subjects_1_a"




class view_v_user_details_1_a(models.Model):
    users_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    mobile_number= models.CharField(max_length=16)
    user_email= models.CharField(max_length=32)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    password_id= models.IntegerField()
    user_password=models.CharField(max_length=128)
    login_category_id= models.IntegerField()
    login_category_name=models.CharField(max_length=32)
    class Meta:
        managed = False
        db_table = "v_user_details_1_a"



class view_v_user_details_1_b(models.Model):
    users_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    mobile_number= models.CharField(max_length=16)
    user_email= models.CharField(max_length=32)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    password_id= models.IntegerField()
    user_password=models.CharField(max_length=128)
    login_category_id= models.IntegerField()
    login_category_name=models.CharField(max_length=32)
    
    school_id= models.IntegerField()
    school_name=models.CharField(max_length=128)
    
    class Meta:
        managed = False
        db_table = "v_user_details_1_b"



class view_v_teacher_details_1_a(models.Model):
    users_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    mobile_number= models.CharField(max_length=16)
    user_email= models.CharField(max_length=32)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    password_id= models.IntegerField()
    user_password=models.CharField(max_length=128)
    login_category_id= models.IntegerField()
    login_category_name=models.CharField(max_length=32)
    ### school_id, y.name school_name
    school_id= models.IntegerField()
    school_name=models.CharField(max_length=128)
    class Meta:
        managed = False
        db_table = "v_teacher_details_1_a"


"""
a.id as sts_id, a.school_id, a.users_id, 
a.school_sub_class_id, b.name as subclass_name, 
c.id as class_id, c.name as class_name, 
d.id as class_levels_id, d.name as class_levels_name
"""


class view_v_school_teachers_all_1_a(models.Model):
    sts_id = models.BigAutoField(primary_key=True)
    #first_name= models.CharField(max_length=32)
    #middle_name= models.CharField(max_length=32)
    #last_name= models.CharField(max_length=32)
    #full_name= models.CharField(max_length=64)
    #gender= models.CharField(max_length=16)
    class_name= models.CharField(max_length=16)
    subclass_name= models.CharField(max_length=32)
    #date_of_birth=models.DateTimeField(max_length=32, null=True)
    school_sub_class_id= models.IntegerField()
    class_id= models.IntegerField()
    #school_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    #user_password=models.CharField(max_length=128)
    users_id= models.IntegerField()
    class_levels_name=models.CharField(max_length=32)
    ### school_id, y.name school_name
    school_id= models.IntegerField()
    #school_name=models.CharField(max_length=128)
    class Meta:
        managed = False
        db_table = "v_school_teachers_all_1_a"



class view_v_gg_school_admins_details_1_a(models.Model):
    users_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    mobile_number= models.CharField(max_length=16)
    user_email= models.CharField(max_length=32)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    password_id= models.IntegerField()
    user_password=models.CharField(max_length=128)
    login_category_id= models.IntegerField()
    login_category_name=models.CharField(max_length=32)
    school_id= models.IntegerField()
    school_name=models.CharField(max_length=64)
    organization_id= models.IntegerField()
    organization_name=models.CharField(max_length=64)
    class Meta:
        managed = False
        db_table = "v_gg_school_admins_details_1_a"




class view_v_gg_district_admins_details_1_a(models.Model):
    users_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    mobile_number= models.CharField(max_length=16)
    user_email= models.CharField(max_length=32)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    password_id= models.IntegerField()
    user_password=models.CharField(max_length=128)
    login_category_id= models.IntegerField()
    login_category_name=models.CharField(max_length=32)
    school_id= models.IntegerField()
    school_name=models.CharField(max_length=64)
    class Meta:
        managed = False
        db_table = "v_gg_district_admins_details_1_a"


class view_v_ff_school_sub_class_details_1_a(models.Model):
    sub_class_id = models.BigAutoField(primary_key=True)
    subclass_name= models.CharField(max_length=32)
    school_class_id= models.IntegerField()
    class_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    school_id= models.IntegerField()
    
    class_name= models.CharField(max_length=32)
    class_levels_name= models.CharField(max_length=32)
    school_name= models.CharField(max_length=64)
    sub_class_status= models.CharField(max_length=16)
    class_status= models.CharField(max_length=16)
    class_level_status= models.CharField(max_length=32)
    
    school_status=models.CharField(max_length=16)
    class Meta:
        managed = False
        db_table = "v_ff_school_sub_class_details_1_a"




class view_v_aa_student_details_1_a(models.Model):
    student_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    student_status= models.CharField(max_length=16)
    school_status= models.CharField(max_length=16)
    first_parent_name= models.CharField(max_length=64)
    first_mobile_number= models.CharField(max_length=64)
    second_parent_name= models.CharField(max_length=64)
    second_mobile_number= models.CharField(max_length=64)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    school_name= models.CharField(max_length=64)
    
    class Meta:
        managed = False
        db_table = "v_aa_student_details_1_a"



class view_v_ab_student_details_1_a(models.Model):
    student_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    student_status= models.CharField(max_length=16)
    school_status= models.CharField(max_length=16)
    first_parent_name= models.CharField(max_length=64)
    first_mobile_number= models.CharField(max_length=64)
    second_parent_name= models.CharField(max_length=64)
    second_mobile_number= models.CharField(max_length=64)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    school_name= models.CharField(max_length=64)
    school_id= models.IntegerField()
    school_status= models.CharField(max_length=16)
    stream_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    academic_year_id= models.IntegerField()
    sub_class_id= models.IntegerField()
    
    class Meta:
        managed = False
        db_table = "v_ab_student_details_1_a"
"""
`student_id`,`a`.`a`.`gender` AS `gender`, 
first_parent_name,first_mobile_number,
second_parent_name, second_mobile_number, a.status as student_status, date_of_birth,
c.name as school_name, c.status as school_status
"""



class view_v_ab_student_details_d_a(models.Model):
    student_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    student_status= models.CharField(max_length=16)
    school_status= models.CharField(max_length=16)
    first_parent_name= models.CharField(max_length=64)
    first_mobile_number= models.CharField(max_length=64)
    second_parent_name= models.CharField(max_length=64)
    second_mobile_number= models.CharField(max_length=64)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    school_name= models.CharField(max_length=64)
    school_id= models.IntegerField()
    school_status= models.CharField(max_length=16)
    stream_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    academic_year_id= models.IntegerField()
    sub_class_id= models.IntegerField()
    class_id= models.IntegerField()
    class_levels_name= models.CharField(max_length=32)
    class_levels_id= models.IntegerField()
    
    class Meta:
        managed = False
        db_table = "v_ab_student_details_d_a"

class view_v_hh_teacher_subjects_details_1_a(models.Model):
    school_teacher_subjects_id = models.BigAutoField(primary_key=True)
    users_id= models.IntegerField()
    
    
    full_name= models.CharField(max_length=64)
    school_id= models.IntegerField()
    sub_class_id= models.IntegerField()
    subclass_name=models.CharField(max_length=32)
    subject_id=models.IntegerField()
    subject_name=models.CharField(max_length=32)
    
    class Meta:
        managed = False
        db_table = "v_hh_teacher_subjects_details_1_a"



##v_nnp_exam_scores_details_1_a

class view_v_nn_students_exam_score_details_1_a(models.Model):
    exam_subject_id = models.BigAutoField(primary_key=True)
    student_id= models.IntegerField()
    school_id= models.IntegerField()
    exams_id= models.IntegerField()
    subjects_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    
    school_name= models.CharField(max_length=128)
    full_name= models.CharField(max_length=64)
    exams_name= models.CharField(max_length=64)
    subject_name= models.CharField(max_length=32)
    stream_name= models.CharField(max_length=32)
    academic_year= models.CharField(max_length=32)

    score=models.DecimalField(max_digits=4, decimal_places=1)
    #decimal

    class Meta:
        managed = False
        db_table = "v_nn_students_exam_score_details_1_a"


###v_nnp_exam_scores_details_1_a
class view_v_nnp_exam_scores_details_1_a(models.Model):
    exams_subject_id = models.BigAutoField(primary_key=True)
    student_id= models.IntegerField()
    school_id= models.IntegerField()
    exams_id= models.IntegerField()
    subject_id= models.IntegerField()
    sub_class_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    
    school_name= models.CharField(max_length=128)
    full_name= models.CharField(max_length=64)
    exams_name= models.CharField(max_length=64)
    subject_name= models.CharField(max_length=32)
    stream_name= models.CharField(max_length=32)
    academic_year= models.CharField(max_length=32)

    score=models.DecimalField(max_digits=4, decimal_places=1)
    #decimal

    class Meta:
        managed = False
        db_table = "v_nnp_exam_scores_details_1_a"





class view_v_nn_students_exam_score_details_1_b(models.Model):
    exam_subject_id = models.BigAutoField(primary_key=True)
    student_id= models.IntegerField()
    school_id= models.IntegerField()
    exams_id= models.IntegerField()
    subjects_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    
    school_name= models.CharField(max_length=128)
    full_name= models.CharField(max_length=64)
    exams_name= models.CharField(max_length=64)
    subject_name= models.CharField(max_length=32)
    stream_name= models.CharField(max_length=32)
    academic_year= models.CharField(max_length=32)

    score=models.DecimalField(max_digits=4, decimal_places=1)
    #decimal

    class Meta:
        managed = False
        db_table = "v_nn_students_exam_score_details_1_b"




class view_v_hj_teachers_exam_subjects_details_1_a(models.Model):
    exam_subject_id = models.BigAutoField(primary_key=True) #
    exams_id= models.IntegerField()#
    class_levels_id= models.IntegerField()
    class_id= models.IntegerField() #
    subject_id= models.IntegerField()
    school_id= models.IntegerField()
    users_id= models.IntegerField()
    school_sub_class_id= models.IntegerField() #
    #district_id= models.IntegerField()
    school_name= models.CharField(max_length=128) #
    subject_name= models.CharField(max_length=64)
    exams_name= models.CharField(max_length=64)#
    class_levels_name= models.CharField(max_length=16)
    class_name= models.CharField(max_length=16) #
    stream_name= models.CharField(max_length=32) #
    full_name= models.CharField(max_length=64)#
    #city_name= models.CharField(max_length=32)
    
    class Meta:
        managed = False
        db_table = "v_hj_teachers_exam_subjects_details_1_a"




class view_v_dd_exams_details_1_a(models.Model):
    exams_id = models.BigAutoField(primary_key=True) #
    academic_year_id= models.IntegerField()#
    class_levels_id= models.IntegerField()
    
    school_id= models.IntegerField()
    school_name= models.CharField(max_length=128) #
    exams_name= models.CharField(max_length=64)#
    class_levels_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    
    class Meta:
        managed = False
        db_table = "v_dd_exams_details_1_a"

class view_v_dd_exams_details_1_b(models.Model):
    exams_id = models.BigAutoField(primary_key=True) #
    academic_year_id= models.IntegerField()#
    class_levels_id= models.IntegerField()
    
    class_id= models.IntegerField()#
    sub_class_id= models.IntegerField()
    
    school_id= models.IntegerField()
    school_name= models.CharField(max_length=128) #
    exams_name= models.CharField(max_length=64)#
    class_levels_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    
    class_name= models.CharField(max_length=16)
    sub_class_name= models.CharField(max_length=32)
    
    class Meta:
        managed = False
        db_table = "v_dd_exams_details_1_b"





class view_v_nn_subject_grades_details_1_a(models.Model):
    subjects_grades_id = models.BigAutoField(primary_key=True)
    #subclass_name= models.CharField(max_length=32)
    #subjects_grades_id= models.IntegerField()
    #class_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    subjects_id= models.IntegerField()
    #school_id= models.IntegerField()
    
    grades_name= models.CharField(max_length=32)
    class_levels_name= models.CharField(max_length=32)
    remarks= models.CharField(max_length=64)

    from_grade_point= models.IntegerField()
    to_grade_point= models.IntegerField()

    division_point= models.IntegerField()
    gpa_point= models.IntegerField()

    class Meta:
        managed = False
        db_table = "v_nn_subject_grades_details_1_a"





class view_v_kl_number_exam_subjects_details_1_a(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    #
    academic_year_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    subjects_id= models.IntegerField()
    #school_id= models.IntegerField()
    
    subject_name= models.CharField(max_length=32)
    stream_name= models.CharField(max_length=32)
    academic_year_name=models.CharField(max_length=16)
    school_name= models.CharField(max_length=128)

    number_of_subjects= models.IntegerField()
    #

    class Meta:
        managed = False
        db_table = "v_kl_number_exam_subjects_details_1_a"




class view_v_no_students_exam_score_details_1_a(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    student_id= models.IntegerField()
    #
    academic_year_id= models.IntegerField()
    sub_class_id= models.IntegerField()
    subject_id= models.IntegerField()
    #school_id= models.IntegerField()
    
    subject_name= models.CharField(max_length=32)
    stream_name= models.CharField(max_length=32)
    academic_year=models.CharField(max_length=16)
    school_name= models.CharField(max_length=128)
    full_name= models.CharField(max_length=64)
    
    total_score= models.DecimalField(max_digits=5, decimal_places=1)
    
    number_of_subjects= models.IntegerField()
    #total_score score=models.DecimalField(max_digits=4, decimal_places=1)
    avg= models.DecimalField(max_digits=4, decimal_places=1)

    class Meta:
        managed = False
        db_table = "v_no_students_exam_score_details_1_a"



class view_v_no_students_exam_score_details_1_c(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    student_id= models.IntegerField()
    #
    academic_year_id= models.IntegerField()
    sub_class_id= models.IntegerField()
    subject_id= models.IntegerField()
    #school_id= models.IntegerField()
    
    subject_name= models.CharField(max_length=32)
    stream_name= models.CharField(max_length=32)
    academic_year=models.CharField(max_length=16)
    school_name= models.CharField(max_length=128)
    full_name= models.CharField(max_length=64)
    
    total_score= models.DecimalField(max_digits=5, decimal_places=1)
    
    number_of_subjects= models.IntegerField()
    #total_score score=models.DecimalField(max_digits=4, decimal_places=1)
    avg= models.DecimalField(max_digits=4, decimal_places=1)

    class Meta:
        managed = False
        db_table = "v_no_students_exam_score_details_1_c"




##v_nv_avg_score_per_school_per_level_aca_1_a



class view_v_nv_avg_score_per_school_per_level_aca_1_a(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    #student_id= models.IntegerField()
    #
    academic_year_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    #school_id= models.IntegerField()
    
    class_levels_name= models.CharField(max_length=32)
    #stream_name= models.CharField(max_length=32)
    school_name= models.CharField(max_length=64)
    ###
    academic_year=models.CharField(max_length=16)
    #school_name= models.CharField(max_length=128)
    #full_name= models.CharField(max_length=64)
    
    avg_score= models.DecimalField(max_digits=5, decimal_places=1)
    
    #number_of_subjects= models.IntegerField()
    #total_score score=models.DecimalField(max_digits=4, decimal_places=1)
    #avg= models.DecimalField(max_digits=4, decimal_places=1)

    class Meta:
        managed = False
        db_table = "v_nv_avg_score_per_school_per_level_aca_1_a"


class view_v_nv_avg_score_per_school_per_level_aca_1_b(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    #student_id= models.IntegerField()
    #
    academic_year_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    #school_id= models.IntegerField()
    
    class_levels_name= models.CharField(max_length=32)
    #stream_name= models.CharField(max_length=32)
    school_name= models.CharField(max_length=64)
    ###
    academic_year=models.CharField(max_length=16)
    #school_name= models.CharField(max_length=128)
    #full_name= models.CharField(max_length=64)
    
    avg_score= models.DecimalField(max_digits=5, decimal_places=1)
    organization_id= models.IntegerField()
    organization_name= models.CharField(max_length=64)
    #number_of_subjects= models.IntegerField()
    #total_score score=models.DecimalField(max_digits=4, decimal_places=1)
    #avg= models.DecimalField(max_digits=4, decimal_places=1)

    class Meta:
        managed = False
        db_table = "v_nv_avg_score_per_school_per_level_aca_1_b"



class view_v_nt_score_per_subject_score_per_level_aca_1_a(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    #exams_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    subjects_id= models.IntegerField()
    #subject_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    #school_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    #district_id= models.IntegerField()
    school_name= models.CharField(max_length=128)
    #subject_name= models.CharField(max_length=64)
    #exams_name= models.CharField(max_length=64)
    class_levels_name= models.CharField(max_length=16)
    subject_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    #stream_name= models.CharField(max_length=32)
    avg_of_subject_score= models.DecimalField(max_digits=5, decimal_places=1)
    #city_name= models.CharField(max_length=32)
    """
    exams_id,
    school_id, school_name,
    """
    
    class Meta:
        managed = False
        db_table = "v_nt_score_per_subject_score_per_level_aca_1_a"



class view_v_nt_score_per_subject_score_per_level_aca_1_c(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    #exams_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    subjects_id= models.IntegerField()
    #subject_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    school_name= models.CharField(max_length=128)
    class_levels_name= models.CharField(max_length=16)
    subject_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    #stream_name= models.CharField(max_length=32)
    avg_of_subject_score= models.DecimalField(max_digits=5, decimal_places=1)
    #city_name= models.CharField(max_length=32)
    organization_id= models.IntegerField()
    organization_name= models.CharField(max_length=128)
    """
    exams_id,
    school_id, school_name,
    """
    
    class Meta:
        managed = False
        db_table = "v_nt_score_per_subject_score_per_level_aca_1_c"



class view_v_df_number_of_school_exam_subjects_1_a(models.Model):
    exams_id = models.BigAutoField(primary_key=True)
    #exams_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    class_id= models.IntegerField()
    #subject_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    school_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    #district_id= models.IntegerField()
    school_name= models.CharField(max_length=128)
    #subject_name= models.CharField(max_length=64)
    #exams_name= models.CharField(max_length=64)
    class_levels_name= models.CharField(max_length=16)
    class_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    stream_name= models.CharField(max_length=32)
    no_of_exam_subjects= models.IntegerField()
    #city_name= models.CharField(max_length=32)
    """
    exams_id,
    school_id, school_name,
    class_levels_id, class_levels_name,
    class_id, class_name,
    school_sub_class_id, stream_name, 
    academic_year_id, academic_year,
    max( no_of_exam_subjects) as no_of_exam_subjects
    """
    
    class Meta:
        managed = False
        db_table = "v_df_number_of_school_exam_subjects_1_a"





class view_v_dm_number_of_subject_on_exams_per_str_aca_1_a(models.Model):
    subject_id = models.BigAutoField(primary_key=True)
    class_levels_id= models.IntegerField()
    class_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    school_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    school_name= models.CharField(max_length=128)
    class_levels_name= models.CharField(max_length=16)
    class_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    stream_name= models.CharField(max_length=32)
    subject_name= models.CharField(max_length=32)
    number_of_subject_on_exams= models.IntegerField()
    
    """
    school_id, school_sub_class_id, class_id, class_levels_id, 
    academic_year_id, school_name, stream_name, class_name, 
    class_levels_name, academic_year, subject_id, subject_name, 
    count(subject_id) as number_of_subject_on_exams
    """
    
    class Meta:
        managed = False
        db_table = "v_dm_number_of_subject_on_exams_per_str_aca_1_a"


class view_v_np_sum_of_subject_score_on_exams_per_str_aca_1_a(models.Model):
    student_id = models.BigAutoField(primary_key=True)
    school_id= models.IntegerField()
    #student_id= models.IntegerField()
    #school_sub_class_id
    academic_year_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    subjects_id= models.IntegerField()
    #school_id= models.IntegerField()
    
    subject_name= models.CharField(max_length=32)
    stream_name= models.CharField(max_length=32)
    academic_year=models.CharField(max_length=16)
    school_name= models.CharField(max_length=128)
    full_name= models.CharField(max_length=64)
    
    sum_of_subject_score_on_exams= models.DecimalField(max_digits=5, decimal_places=1)
    
    #number_of_subjects= models.IntegerField()
    #total_score score=models.DecimalField(max_digits=4, decimal_places=1)
    #avg= models.DecimalField(max_digits=4, decimal_places=1)

    class Meta:
        managed = False
        db_table = "v_np_sum_of_subject_score_on_exams_per_str_aca_1_a"



class view_v_users_non_parent_announcement_1_a(models.Model):
    announcement_id = models.BigAutoField(primary_key=True)
    announcement_receivers_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    school_id= models.IntegerField()
    
    msg= models.CharField(max_length=1024)
    receivers= models.CharField(max_length=64)
    users_id= models.IntegerField()
    login_category_id= models.IntegerField()
    
    full_name= models.CharField(max_length=64)
    login_category_name= models.CharField(max_length=64)
    
    user_announcement_status= models.CharField(max_length=32)
    date_of_announcement=models.DateTimeField(max_length=32, null=True)
    
    class Meta:
        managed = False
        db_table = "v_users_non_parent_announcement_1_a"




class view_v_users_non_parent_announcement_1_b(models.Model):
    announcement_id = models.BigAutoField(primary_key=True)
    announcement_receivers_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    school_id= models.IntegerField()
    
    msg= models.CharField(max_length=1024)
    receivers= models.CharField(max_length=64)
    users_id= models.IntegerField()
    login_category_id= models.IntegerField()
    
    full_name= models.CharField(max_length=64)
    login_category_name= models.CharField(max_length=64)
    
    user_announcement_status= models.CharField(max_length=32)
    date_of_announcement=models.DateTimeField(max_length=32, null=True)
    
    creator_id= models.IntegerField()
    creator_name= models.CharField(max_length=64)
    
    pdf= models.CharField(max_length=128)
    title= models.CharField(max_length=128)
    
    class Meta:
        managed = False
        db_table = "v_users_non_parent_announcement_1_b"

###v_users_parent_announcement_1_a


class view_v_users_parent_announcement_1_a(models.Model):
    announcement_id = models.BigAutoField(primary_key=True)
    announcement_receivers_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    school_id= models.IntegerField()
    
    msg= models.CharField(max_length=1024)
    receivers= models.CharField(max_length=64)
    #users_id= models.IntegerField()
    #student_id= models.IntegerField()
    #school_sub_class_id
    student_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    #subjects_id= models.IntegerField()
    #school_id= models.IntegerField()
    v_users_parent_announcement_1_a=models.CharField(max_length=16)
    #full_name= models.CharField(max_length=64)
    first_parent_name= models.CharField(max_length=64)
    date_of_announcement=models.DateTimeField(max_length=32, null=True)
    parent_announcement_status= models.CharField(max_length=32)
   

    class Meta:
        managed = False
        db_table = "v_users_parent_announcement_1_a"




class view_v_users_parent_announcement_1_b(models.Model):
    announcement_id = models.BigAutoField(primary_key=True)
    announcement_receivers_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    school_id= models.IntegerField()
    
    msg= models.CharField(max_length=1024)
    receivers= models.CharField(max_length=64)
    #users_id= models.IntegerField()
    #student_id= models.IntegerField()
    #school_sub_class_id
    student_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    #subjects_id= models.IntegerField()
    #school_id= models.IntegerField()
    #v_users_parent_announcement_1_a=models.CharField(max_length=16)
    #full_name= models.CharField(max_length=64)
    first_parent_name= models.CharField(max_length=64)
    first_mobile_number= models.CharField(max_length=64)
    date_of_announcement=models.DateTimeField(max_length=32, null=True)
    parent_announcement_status= models.CharField(max_length=32)
    creator_id= models.IntegerField()
    creator_name= models.CharField(max_length=64)
    
    pdf= models.CharField(max_length=128)
    title= models.CharField(max_length=128)

    class Meta:
        managed = False
        db_table = "v_users_parent_announcement_1_b"



class view_v_organization_schools_1_a(models.Model):
    organization_school_id = models.BigAutoField(primary_key=True)
    organization_id= models.IntegerField()
    organization_name= models.CharField(max_length=1024)
    school_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    
    school_name= models.CharField(max_length=64)
    

    class Meta:
        managed = False
        db_table = "v_organization_schools_1_a"

### v_school_owners_1_a

class view_v_organization_schools_with_category_1_a(models.Model):
    organization_school_id = models.BigAutoField(primary_key=True)
    organization_id= models.IntegerField()
    organization_name= models.CharField(max_length=1024)
    school_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    school_name= models.CharField(max_length=64)
    category= models.CharField(max_length=64)
    

    class Meta:
        managed = False
        db_table = "v_organization_schools_with_category_1_a"



class view_v_organization_schools_1_b(models.Model):
    organization_id = models.BigAutoField(primary_key=True)
    #organization_id= models.IntegerField()
    organization_name= models.CharField(max_length=1024)
    number_of_schools= models.IntegerField()
    school_id= models.IntegerField()
    school_name= models.CharField(max_length=528)
    
    org_status= models.CharField(max_length=32)
    

    class Meta:
        managed = False
        db_table = "v_organization_schools_1_b"


class view_v_organization_schools_primary_1_b(models.Model):
    organization_id = models.BigAutoField(primary_key=True)
    #organization_id= models.IntegerField()
    organization_name= models.CharField(max_length=1024)
    number_of_schools= models.IntegerField()
    school_id= models.IntegerField()
    school_name= models.CharField(max_length=528)
    
    org_status= models.CharField(max_length=32)
    

    class Meta:
        managed = False
        db_table = "v_organization_schools_primary_1_b"


class view_v_organization_schools_secondary_1_b(models.Model):
    organization_id = models.BigAutoField(primary_key=True)
    #organization_id= models.IntegerField()
    organization_name= models.CharField(max_length=1024)
    number_of_schools= models.IntegerField()
    school_id= models.IntegerField()
    school_name= models.CharField(max_length=528)
    
    org_status= models.CharField(max_length=32)
    

    class Meta:
        managed = False
        db_table = "v_organization_schools_secondary_1_b"

### v_school_owners_1_a


class view_v_school_owners_1_a(models.Model):
    ssou_id = models.BigAutoField(primary_key=True)
    school_id= models.IntegerField()
    school_name= models.CharField(max_length=1024)
    users_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    
    school_owner= models.CharField(max_length=64)
    mobile_number= models.CharField(max_length=64)
    user_password= models.CharField(max_length=64)

    class Meta:
        managed = False
        db_table = "v_school_owners_1_a"

###v_organization_directors_1_a

class view_v_organization_directors_1_a(models.Model):
    sodu_id = models.BigAutoField(primary_key=True)
    users_id= models.IntegerField()
    organization_name= models.CharField(max_length=1024)
    organization_id= models.IntegerField()
    #school_sub_class_id= models.IntegerField()
    
    organization_director= models.CharField(max_length=64)
    mobile_number= models.CharField(max_length=64)
    user_password= models.CharField(max_length=64)

    class Meta:
        managed = False
        db_table = "v_organization_directors_1_a"



### v_public_announcements_1_a

class view_v_public_announcements_1_a(models.Model):
    announcement_id = models.BigAutoField(primary_key=True)
    organization_id=  models.IntegerField()
    users_id= models.IntegerField()
    organization_name= models.CharField(max_length=1024)
   
    
    organization_director= models.CharField(max_length=64)
    msg= models.CharField(max_length=528)
    mobile_number= models.CharField(max_length=64)
    status= models.CharField(max_length=64)
    ##'pdf',
    #'title'
    pdf= models.CharField(max_length=128)
    title= models.CharField(max_length=128)
    
    class Meta:
        managed = False
        db_table = "v_public_announcements_1_a"



class view_v_school_general_announcements_1_a(models.Model):
    announcement_id = models.BigAutoField(primary_key=True)
    school_id=  models.IntegerField()
    users_id= models.IntegerField()
    #organization_name= models.CharField(max_length=1024)
   
    
    creator_name= models.CharField(max_length=64)
    msg= models.CharField(max_length=528)
    mobile_number= models.CharField(max_length=64)
    status= models.CharField(max_length=64)
    login_category_name= models.CharField(max_length=64)
    ##'pdf',
    #'title'
    pdf= models.CharField(max_length=128)
    title= models.CharField(max_length=128)
    
    class Meta:
        managed = False
        db_table = "v_school_general_announcements_1_a"



class view_v_tmp_merged_rep_1(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    sub_classes_str= models.CharField(max_length=528)
    exams_str= models.CharField(max_length=528)
    
    academic_year_id= models.IntegerField()
    

    class Meta:
        managed = False
        db_table = "v_tmp_merged_rep_1"
        


class view_v_df_locked_exams_1_a(models.Model):
    exams_id = models.BigAutoField(primary_key=True)
    school_id = models.IntegerField()
    academic_year_id = models.IntegerField()
    sub_class_id = models.IntegerField()
    exams_name= models.CharField(max_length=528)
    sub_class_name= models.CharField(max_length=528)
    school_name= models.CharField(max_length=528)
    
    #academic_year_id= models.IntegerField()
    """
    a.exams_id, exams_name, 
    academic_year_id, academic_year, 
    school_id, school_name,
    sub_class_id, sub_class_name
    """

    class Meta:
        managed = False
        db_table = "v_df_locked_exams_1_a"
