from django.db import models

# Create your models here.
#from django.db import models

# Create your models here.

# Create your models here.
class login_category(models.Model):
    id = models.BigAutoField(primary_key=True)
    status=models.CharField(max_length=64)
    name=models.CharField(max_length=64)
    details=models.CharField(max_length=254, default="")

    def __str__(self):
        return self.id

class users(models.Model):
    id = models.BigAutoField(primary_key=True)
    #company= models.ForeignKey(company, on_delete=models.CASCADE, default="")
    first_name=models.CharField(max_length=32)
    middle_name=models.CharField(max_length=32)
    last_name=models.CharField(max_length=32)
    status=models.CharField(max_length=32)
    gender=models.CharField(max_length=16)
    mobile_number=models.CharField(max_length=16)
    user_email=models.EmailField(max_length=128)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    
    
        
    def __str__(self):
        return str(self.id)

class user_password(models.Model):
    id = models.BigAutoField(primary_key=True)
    users_id=models.ForeignKey(users, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)
    password=models.CharField(max_length=256,)
    issue_date=models.DateTimeField(max_length=32, null=True)
    expire_date=models.DateTimeField(max_length=32,  null=True)

    def __str__(self):
        return self.id
###user_login_category ###user_login_category
class user_login_category(models.Model):
    id = models.BigAutoField(primary_key=True)
    users_id=models.ForeignKey(users, on_delete=models.CASCADE)
    login_category_id=models.ForeignKey(login_category, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)

    def __str__(self):
        return str(self.id)



class country(models.Model):
    id = models.BigAutoField(primary_key=True)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=64)
    zipcode=models.CharField(max_length=16, default="")
    postalcode=models.CharField(max_length=16, default="")

    def __str__(self):
        return str(self.id) 
    
class city(models.Model):
    id = models.BigAutoField(primary_key=True)
    country=models.ForeignKey(country, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=64)
    code=models.CharField(max_length=16, default="")

    def __str__(self):
        return str(self.id)
    

class district(models.Model):
    id = models.BigAutoField(primary_key=True)
    city=models.ForeignKey(city, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=64)
    code=models.CharField(max_length=16, default="")

    def __str__(self):
        return str(self.id)
    
class ward(models.Model):
    id = models.BigAutoField(primary_key=True)
    district=models.ForeignKey(district, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=64)
    code=models.CharField(max_length=16, default="")

    def __str__(self):
        return str(self.id)
    

class school(models.Model):
    id = models.BigAutoField(primary_key=True)
    ward=models.ForeignKey(district, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    name=models.CharField(max_length=128)
    school_code=models.CharField(max_length=16, default="")
    street=models.CharField(max_length=32)
    plot_number=models.CharField(max_length=32)
    area_details=models.CharField(max_length=128)
    telephone_number_1=models.CharField(max_length=16)
    telephone_number_2=models.CharField(max_length=16)
    email=models.CharField(max_length=128)
    website=models.CharField(max_length=128)
    
    def __str__(self):
        return str(self.id)

class school_user(models.Model):
    id = models.BigAutoField(primary_key=True)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    status=models.CharField(max_length=64)
   
    def __str__(self):
        return str(self.id)

class student(models.Model):
    id = models.BigAutoField(primary_key=True)
    #company= models.ForeignKey(company, on_delete=models.CASCADE, default="")
    first_name=models.CharField(max_length=32)
    middle_name=models.CharField(max_length=32)
    last_name=models.CharField(max_length=32)
    date_of_birth=models.DateTimeField()
    
    gender=models.CharField(max_length=16)
    first_parent_name=models.CharField(max_length=64)
    first_mobile_number=models.CharField(max_length=16)
    second_parent_name=models.CharField(max_length=64)
    second_mobile_number=models.CharField(max_length=16)
    status=models.CharField(max_length=16)


class school_student(models.Model):
    id = models.BigAutoField(primary_key=True)
    student=models.ForeignKey(users, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)

    status=models.CharField(max_length=32)
    
    def __str__(self):
        return str(self.id)
    
class class_levels(models.Model):
    id = models.BigAutoField(primary_key=True)
    name=models.CharField(max_length=16)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class school_class(models.Model):
    id = models.BigAutoField(primary_key=True)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)
   
class school_sub_class(models.Model):
    id = models.BigAutoField(primary_key=True)
    #student=models.ForeignKey(users, on_delete=models.CASCADE)
    school_class=models.ForeignKey(school_class, on_delete=models.CASCADE)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)

class academic_year(models.Model):
    id = models.BigAutoField(primary_key=True)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)



class student_sub_class(models.Model):
    id = models.BigAutoField(primary_key=True)
    student=models.ForeignKey(student, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    status=models.CharField(max_length=32)
    
    def __str__(self):
        return str(self.id)


class subjects(models.Model):
    id = models.BigAutoField(primary_key=True)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)

class subjects_grades(models.Model):
    id = models.BigAutoField(primary_key=True)
    subjects=models.ForeignKey(subjects, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=32)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)
    

class subjects_grades_details(models.Model):
    id = models.BigAutoField(primary_key=True)
    subjects_grades=models.ForeignKey(subjects_grades, on_delete=models.CASCADE)
    #class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=8)
    remarks=models.CharField(max_length=16)
    from_grade_point=models.IntegerField()
    to_grade_point=models.IntegerField()
    division_point=models.IntegerField()
    gpa_point=models.IntegerField()
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class exams(models.Model):
    id = models.BigAutoField(primary_key=True)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=64)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class exams_subject(models.Model):
    id = models.BigAutoField(primary_key=True)
    exams=models.ForeignKey(exams, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    subjects=models.ForeignKey(subjects, on_delete=models.CASCADE)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)



###StudentExamScore   v_dd_school_exam_subjects_1_a
class student_exam_score(models.Model):
    id = models.BigAutoField(primary_key=True)
    exams=models.ForeignKey(exams, on_delete=models.CASCADE)
    exams_subject=models.ForeignKey(exams_subject, on_delete=models.CASCADE)
    school_student=models.ForeignKey(school_student, on_delete=models.CASCADE)
    score=models.DecimalField(max_digits=4, decimal_places=1)
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)


class teacher_subjects(models.Model):
    id = models.BigAutoField(primary_key=True)
    subjects=models.ForeignKey(subjects, on_delete=models.CASCADE)
    users=models.ForeignKey(users, on_delete=models.CASCADE)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    #name=models.CharField(max_length=32) rescue school_sub_class
    status=models.CharField(max_length=16)
    
    def __str__(self):
        return str(self.id)
    

class view_v_aa_wards_1_a(models.Model):
    ward_id = models.BigAutoField(primary_key=True)
    city_id= models.IntegerField()
    district_id= models.IntegerField()
    
    ward_name= models.CharField(max_length=32)
    district_name= models.CharField(max_length=32)
    city_name= models.CharField(max_length=32)

    class Meta:
        managed = False
        db_table = "v_aa_wards_1_a"



class view_v_bb_schools_1_a(models.Model):
    school_id = models.BigAutoField(primary_key=True)
    ward_id= models.IntegerField()
    district_id= models.IntegerField()
    city_id= models.IntegerField()

    ward_name= models.CharField(max_length=64)
    district_name= models.CharField(max_length=64)
    city_name= models.CharField(max_length=64)
    

    school_name= models.CharField(max_length=64)
    status= models.CharField(max_length=32)
    school_code= models.CharField(max_length=32)
   
    street= models.CharField(max_length=32)
    plot_number= models.CharField(max_length=32)
    area_details= models.CharField(max_length=32)

    telephone_number_1= models.CharField(max_length=16)
    telephone_number_2= models.CharField(max_length=16)
    email= models.CharField(max_length=64)
    website= models.CharField(max_length=64)
  
    class Meta:
        managed = False
        db_table = "v_bb_schools_1_a"



class view_v_cc_school_class_1_a(models.Model):
    class_id = models.BigAutoField(primary_key=True)
    school_id= models.IntegerField()
    #district_id= models.IntegerField()
    
    school_name= models.CharField(max_length=64)
    class_name= models.CharField(max_length=64)
    #city_name= models.CharField(max_length=32)

    class Meta:
        managed = False
        db_table = "v_cc_school_class_1_a"



class view_v_dd_school_exam_subjects_1_a(models.Model):
    exam_subject_id = models.BigAutoField(primary_key=True)
    exams_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    class_id= models.IntegerField()
    subject_id= models.IntegerField()
    school_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    #district_id= models.IntegerField()
    school_name= models.CharField(max_length=128)
    subject_name= models.CharField(max_length=64)
    exams_name= models.CharField(max_length=64)
    class_levels_name= models.CharField(max_length=16)
    class_name= models.CharField(max_length=16)
    stream_name= models.CharField(max_length=32)
    #city_name= models.CharField(max_length=32)
    
    class Meta:
        managed = False
        db_table = "v_dd_school_exam_subjects_1_a"




class view_v_user_details_1_a(models.Model):
    users_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    mobile_number= models.CharField(max_length=16)
    user_email= models.CharField(max_length=32)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    password_id= models.IntegerField()
    user_password=models.CharField(max_length=128)
    login_category_id= models.IntegerField()
    login_category_name=models.CharField(max_length=32)
    class Meta:
        managed = False
        db_table = "v_user_details_1_a"





class view_v_gg_school_admins_details_1_a(models.Model):
    users_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    mobile_number= models.CharField(max_length=16)
    user_email= models.CharField(max_length=32)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    password_id= models.IntegerField()
    user_password=models.CharField(max_length=128)
    login_category_id= models.IntegerField()
    login_category_name=models.CharField(max_length=32)
    school_id= models.IntegerField()
    school_name=models.CharField(max_length=64)
    class Meta:
        managed = False
        db_table = "v_gg_school_admins_details_1_a"

class view_v_ff_school_sub_class_details_1_a(models.Model):
    sub_class_id = models.BigAutoField(primary_key=True)
    subclass_name= models.CharField(max_length=32)
    school_class_id= models.IntegerField()
    class_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    school_id= models.IntegerField()
    
    class_name= models.CharField(max_length=32)
    class_levels_name= models.CharField(max_length=32)
    school_name= models.CharField(max_length=64)
    sub_class_status= models.CharField(max_length=16)
    class_status= models.CharField(max_length=16)
    class_level_status= models.CharField(max_length=32)
    
    school_status=models.CharField(max_length=16)
    class Meta:
        managed = False
        db_table = "v_ff_school_sub_class_details_1_a"




class view_v_aa_student_details_1_a(models.Model):
    student_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    student_status= models.CharField(max_length=16)
    school_status= models.CharField(max_length=16)
    first_parent_name= models.CharField(max_length=64)
    first_mobile_number= models.CharField(max_length=64)
    second_parent_name= models.CharField(max_length=64)
    second_mobile_number= models.CharField(max_length=64)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    school_name= models.CharField(max_length=64)
    
    class Meta:
        managed = False
        db_table = "v_aa_student_details_1_a"



class view_v_ab_student_details_1_a(models.Model):
    student_id = models.BigAutoField(primary_key=True)
    first_name= models.CharField(max_length=32)
    middle_name= models.CharField(max_length=32)
    last_name= models.CharField(max_length=32)
    full_name= models.CharField(max_length=64)
    gender= models.CharField(max_length=16)
    student_status= models.CharField(max_length=16)
    school_status= models.CharField(max_length=16)
    first_parent_name= models.CharField(max_length=64)
    first_mobile_number= models.CharField(max_length=64)
    second_parent_name= models.CharField(max_length=64)
    second_mobile_number= models.CharField(max_length=64)
    date_of_birth=models.DateTimeField(max_length=32, null=True)
    school_name= models.CharField(max_length=64)
    school_id= models.IntegerField()
    school_status= models.CharField(max_length=16)
    stream_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    academic_year_id= models.IntegerField()
    sub_class_id= models.IntegerField()
    
    class Meta:
        managed = False
        db_table = "v_ab_student_details_1_a"
"""
`student_id`,`a`.`a`.`gender` AS `gender`, 
first_parent_name,first_mobile_number,
second_parent_name, second_mobile_number, a.status as student_status, date_of_birth,
c.name as school_name, c.status as school_status
"""


class view_v_hh_teacher_subjects_details_1_a(models.Model):
    school_teacher_subjects_id = models.BigAutoField(primary_key=True)
    users_id= models.IntegerField()
    
    
    full_name= models.CharField(max_length=64)
    school_id= models.IntegerField()
    sub_class_id= models.IntegerField()
    subclass_name=models.CharField(max_length=32)
    subject_id=models.IntegerField()
    subject_name=models.CharField(max_length=32)
    
    class Meta:
        managed = False
        db_table = "v_hh_teacher_subjects_details_1_a"





class view_v_nn_students_exam_score_details_1_a(models.Model):
    exam_subject_id = models.BigAutoField(primary_key=True)
    student_id= models.IntegerField()
    school_id= models.IntegerField()
    exams_id= models.IntegerField()
    subjects_id= models.IntegerField()
    school_sub_class_id= models.IntegerField()
    academic_year_id= models.IntegerField()
    
    school_name= models.CharField(max_length=128)
    full_name= models.CharField(max_length=64)
    exams_name= models.CharField(max_length=64)
    subject_name= models.CharField(max_length=32)
    stream_name= models.CharField(max_length=32)
    academic_year= models.CharField(max_length=32)

    score=models.DecimalField(max_digits=4, decimal_places=1)
    #decimal

    class Meta:
        managed = False
        db_table = "v_nn_students_exam_score_details_1_a"



class view_v_hj_teachers_exam_subjects_details_1_a(models.Model):
    exam_subject_id = models.BigAutoField(primary_key=True) #
    exams_id= models.IntegerField()#
    class_levels_id= models.IntegerField()
    class_id= models.IntegerField() #
    subject_id= models.IntegerField()
    school_id= models.IntegerField()
    users_id= models.IntegerField()
    school_sub_class_id= models.IntegerField() #
    #district_id= models.IntegerField()
    school_name= models.CharField(max_length=128) #
    subject_name= models.CharField(max_length=64)
    exams_name= models.CharField(max_length=64)#
    class_levels_name= models.CharField(max_length=16)
    class_name= models.CharField(max_length=16) #
    stream_name= models.CharField(max_length=32) #
    full_name= models.CharField(max_length=64)#
    #city_name= models.CharField(max_length=32)
    
    class Meta:
        managed = False
        db_table = "v_hj_teachers_exam_subjects_details_1_a"




class view_v_dd_exams_details_1_a(models.Model):
    exams_id = models.BigAutoField(primary_key=True) #
    academic_year_id= models.IntegerField()#
    class_levels_id= models.IntegerField()
    
    school_id= models.IntegerField()
    school_name= models.CharField(max_length=128) #
    exams_name= models.CharField(max_length=64)#
    class_levels_name= models.CharField(max_length=16)
    academic_year= models.CharField(max_length=16)
    
    class Meta:
        managed = False
        db_table = "v_dd_exams_details_1_a"




class view_v_nn_subject_grades_details_1_a(models.Model):
    subjects_grades_id = models.BigAutoField(primary_key=True)
    #subclass_name= models.CharField(max_length=32)
    #subjects_grades_id= models.IntegerField()
    #class_id= models.IntegerField()
    class_levels_id= models.IntegerField()
    subjects_id= models.IntegerField()
    #school_id= models.IntegerField()
    
    grades_name= models.CharField(max_length=32)
    class_levels_name= models.CharField(max_length=32)
    remarks= models.CharField(max_length=64)

    from_grade_point= models.IntegerField()
    to_grade_point= models.IntegerField()

    division_point= models.IntegerField()
    gpa_point= models.IntegerField()

    class Meta:
        managed = False
        db_table = "v_nn_subject_grades_details_1_a"


