from rest_framework import serializers

from school.models import(
view_v_tmp_merged_rep_1,
view_v_school_general_announcements_1_a,
    doc_files_ext,
doc_files,
view_v_public_announcements_1_a,
school_attendance,
view_v_student_attendance_1_a,
view_v_nn_students_exam_score_details_1_b,
view_v_no_students_exam_score_details_1_c,
view_v_organization_schools_1_a,
view_v_organization_schools_1_b,
view_v_organization_schools_secondary_1_b,
view_v_organization_schools_primary_1_b,
view_v_school_owners_1_a,
school,
organization,
view_v_bb_organizations_1_a,
view_v_bb_schools_1_a,
city,
district,
ward,
view_v_user_details_1_a,
view_v_gg_school_admins_details_1_a,
view_v_aa_student_details_1_a,
school_class,
school_sub_class,
view_v_cc_school_class_1_a,
academic_year,
view_v_users_non_parent_announcement_1_a,
view_v_users_non_parent_announcement_1_b,
view_v_users_parent_announcement_1_a,
view_v_users_parent_announcement_1_b,
student_sub_class,

organization_director_user,

subjects, exams, class_levels,
exams_subject,
view_v_dd_school_exam_subjects_1_a,
student_exam_score,
view_v_ab_student_details_1_a,
view_v_hh_teacher_subjects_details_1_a,
view_v_nn_students_exam_score_details_1_a,
view_v_hj_teachers_exam_subjects_details_1_a,

exam_report_to_parents,
view_v_nt_score_per_subject_score_per_level_aca_1_a,
view_v_nt_score_per_subject_score_per_level_aca_1_c,
view_v_nv_avg_score_per_school_per_level_aca_1_a,
announcements,
organization_school,
student_attendance,
pics,
marketing_banner,
view_v_df_locked_exams_1_a,
)


class PICsSerializer(serializers.ModelSerializer):
    class Meta:
        model=pics
        fields='__all__'



class TmpMergedRep1Serializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_tmp_merged_rep_1
        fields='__all__'

###view_v_df_locked_exams_1_a
class LockedExamsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_df_locked_exams_1_a
        fields='__all__'


class MarketingBannerSerializer(serializers.ModelSerializer):
    class Meta:
        model=marketing_banner
        fields='__all__'


class CitiesViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=city
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',
            'country_id',
            'name',
            'status',
            'code',
        )

class DistrictsViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=district
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',
            'city_id',
            'name',
            'status',
            'code',
        )

class WardsViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=ward
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',
            'district_id',
            'name',
            'status',
            'code',
        )


###   v_nv_avg_score_per_school_per_level_aca_1_a

class AVGScorePerSchoolViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_nv_avg_score_per_school_per_level_aca_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'school_id',
            'academic_year_id',
            'class_levels_id',
            'school_name',
            'academic_year',
            'class_levels_name',
            'avg_score',
        )




class PublicAnnouncementsViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_public_announcements_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
    'announcement_id',# = models.BigAutoField(primary_key=True)
    'organization_id',#=  models.IntegerField()
    'users_id',#= models.IntegerField()
    'organization_name',#= models.CharField(max_length=1024)
    'organization_director',#= models.CharField(max_length=64)
    'msg',#= models.CharField(max_length=528)
    'mobile_number',#= models.CharField(max_length=64)
    'status',#= models.CharField(max_length=64)
    'pdf',
    'title'
        )





class StudentInAStreamSerializer(serializers.ModelSerializer):
    class Meta:
        model=ward
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',
            'student',
            'school_sub_class',
            'academic_year',
            'status',
        )



class SchoolAnnouncementSerializer(serializers.ModelSerializer):
    class Meta:
        model=announcements
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',
            'announcement_receivers',#=models.ForeignKey(announcement_receivers, on_delete=models.CASCADE)
    'school',#=models.ForeignKey(school, on_delete=models.CASCADE)
    'class_levels',#=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    'academic_year',#=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    'msg',#=models.CharField(max_length=1028)
    'status'#=models.CharField(max_length=64)
        )

"""
    id = models.BigAutoField(primary_key=True)
    student=models.ForeignKey(student, on_delete=models.CASCADE)
    school_sub_class=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    status=models.CharField(max_length=16)
"""


class SchoolsViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_bb_schools_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'school_id',
            'ward_id',
            'school_name',
            'status',
            'school_code',
            'street',
            'plot_number',
            'area_details',
            'telephone_number_1',
            'telephone_number_2',
            'email',
            'website',
            'category'
        )


class SchoolsViewAllDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_bb_schools_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'school_id',
            'ward_id',
            'district_id',
            'city_id',
            'ward_name',
            'district_name',
            'city_name',
            'school_name',
            'status',
            'school_code',
            'street',
            'plot_number',
            'area_details',
            'telephone_number_1',
            'telephone_number_2',
            'email',
            'website',
            'category'
        )



class OrganizationsViewAllDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_bb_organizations_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'organization_id',
            #'ward_id',
            #'district_id',
            #'city_id',
            #'ward_name',
            #'district_name',
            #'city_name',
            'organization_name',
            'status',
            #'organization_code',
            #'street',
            #'plot_number',
            #'area_details',
            'telephone_number_1',
            'telephone_number_2',
            'email',
            'website',
        )

class CreateOrganizationsViewAllDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=organization
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',
            #'ward_id',
            #'district_id',
            #'city_id',
            #'ward_name',
            #'district_name',
            #'city_name',
            'name',
            'status',
            #'organization_code',
            #'street',
            #'plot_number',
            #'area_details',
            'telephone_number_1',
            'telephone_number_2',
            'email',
            'website',
        )


class OrganizationSchoolSerializer(serializers.ModelSerializer):
    class Meta:
        model=organization_school
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',# = models.BigAutoField(primary_key=True)
            'organization',#=models.ForeignKey(organization, on_delete=models.CASCADE)
            'school',#=models.ForeignKey(school, on_delete=models.CASCADE)
            'status',#=models.CharField(max_length=64)
        )

class OrganizationDirectorSerializer(serializers.ModelSerializer):
    class Meta:
        model=organization_director_user
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',# = models.BigAutoField(primary_key=True)
            'organization',#=models.ForeignKey(organization, on_delete=models.CASCADE)
            'users',#=models.ForeignKey(school, on_delete=models.CASCADE)
            'status',#=models.CharField(max_length=64)
        )

class OrganizationsViewAllDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_bb_organizations_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',# = models.BigAutoField(primary_key=True)
    'organization',#=models.ForeignKey(organization, on_delete=models.CASCADE)
    'school',#=models.ForeignKey(school, on_delete=models.CASCADE)
    'status',#=models.CharField(max_length=64)
        )

### view_v_nt_score_per_subject_score_per_level_aca_1_a

class DistrictSingleSubjectAVGResultsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_nt_score_per_subject_score_per_level_aca_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
             'school_id',# = models.BigAutoField(primary_key=True)
            #exams_id= models.IntegerField()
            'class_levels_id',#= models.IntegerField()
            'subjects_id',#= models.IntegerField()
            #subject_id= models.IntegerField()
            'academic_year_id',#= models.IntegerField()
            #school_id= models.IntegerField()
            #school_sub_class_id= models.IntegerField()
            #district_id= models.IntegerField()
            'school_name',#= models.CharField(max_length=128)
            #subject_name= models.CharField(max_length=64)
            #exams_name= models.CharField(max_length=64)
            'class_levels_name',#= models.CharField(max_length=16)
            'subject_name',#= models.CharField(max_length=16)
            'academic_year',#= models.CharField(max_length=16)
            #stream_name= models.CharField(max_length=32)
            'avg_of_subject_score',#= models.DecimalField(max_digits=5, decimal_places=1)
        )


class OrganizationSingleSubjectAVGResultsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_nt_score_per_subject_score_per_level_aca_1_c
        #fields=('name', 'address','telephone', 'status')
        fields=( 
             'school_id',# = models.BigAutoField(primary_key=True)
            #exams_id= models.IntegerField()
            'class_levels_id',#= models.IntegerField()
            'subjects_id',#= models.IntegerField()
            #subject_id= models.IntegerField()
            'academic_year_id',#= models.IntegerField()
            #school_id= models.IntegerField()
            #school_sub_class_id= models.IntegerField()
            #district_id= models.IntegerField()
            'school_name',#= models.CharField(max_length=128)
            #subject_name= models.CharField(max_length=64)
            #exams_name= models.CharField(max_length=64)
            'class_levels_name',
            'subject_name',
            'academic_year',
            'avg_of_subject_score',
            'organization_id',
            'organization_name',
        )


class CreateSchoolsSerializer(serializers.ModelSerializer):
    class Meta:
        model=school
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'ward',
            'name',
            'status',
            'school_code',
            'street',
            'plot_number',
            'area_details',
            'telephone_number_1',
            'telephone_number_2',
            'email',
            'website',
        )
    #company= models.ForeignKey(company, on_delete=models.CASCADE, default="")




class CreateStudentAttendanceSerializer(serializers.ModelSerializer):
    class Meta:
        model=school_attendance
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',
    'academic_year',
    'school_sub_class',
    'school',
    'date_of_attendance',
    'status'
        )
        
    #company= models.ForeignKey(company, on_delete=models.CASCADE, default="")
class StudentAttendanceDetailsViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_student_attendance_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
          
    'ssa_id',# = models.BigAutoField(primary_key=True)
    #ward_id= models.IntegerField()
    'student_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    
    'sub_class_id',#= models.IntegerField()
    'attendance_id',#= models.IntegerField()
    
    'academic_year_id',#= models.IntegerField()
    'attendance_id',#= models.IntegerField()

    #ward_name= models.CharField(max_length=64)
    'stream_name',#= models.CharField(max_length=64)
    'academic_year',#= models.CharField(max_length=64)
    
    'full_name',#= models.CharField(max_length=64)
    'morning_attendance_status',#= models.CharField(max_length=64)
    'afternoon_attendance_status',#= models.CharField(max_length=64)

    'date_of_attendance',#= models.DateTimeField(max_length=32, null=True)
        )
        ##student_attendance
    #company= models.ForeignKey(company, on_delete=models.CASCADE, default="")

   
    #"""
  
class CreateStudentAttendanceDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=student_attendance
        #fields=('name', 'address','telephone', 'status')
        fields=( 
            'id',
    'school_attendance',
    'school_student',
    'morning_attendance_status',
    'afternoon_attendance_status',
    'status'
        )
        ##student_attendance
    #company= models.ForeignKey(company, on_delete=models.CASCADE, default="")

class UsersDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_user_details_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
    'users_id',#
    'first_name',#
    'middle_name',#
    'last_name',#
    'full_name',#
    'gender',#
    'mobile_number',#
    'user_email',#
    'date_of_birth',#
    'password_id',#
    'user_password',#
    'login_category_id',#
    'login_category_name',#
        )

    



class SchoolAdminsDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_gg_school_admins_details_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
    'users_id',#
    'first_name',#
    'middle_name',#
    'last_name',#
    'full_name',#
    'gender',#
    'mobile_number',#
    'user_email',#
    'date_of_birth',#
    'password_id',#
    'user_password',#
    'login_category_id',#
    'login_category_name',#
    'school_id',#
    'school_name',#
    'organization_id',#
    'organization_name',#
        )




class SchoolOwnersDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_school_owners_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
    'ssou_id',#
    'users_id',#
    'school_owner',#
    'school_id',#
    'school_name',#
    'mobile_number',#
    'user_password',#
        )

class DistrictAdminsDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_gg_school_admins_details_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
    'users_id',#
    'first_name',#
    'middle_name',#
    'last_name',#
    'full_name',#
    'gender',#
    'mobile_number',#
    'user_email',#
    'date_of_birth',#
    'password_id',#
    'user_password',#
    'login_category_id',#
    'login_category_name',#
    'school_id',#
    'school_name',#
        )

    


class StudentsDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_aa_student_details_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
    'student_id',#
    'first_name',#
    'middle_name',#
    'last_name',#
    'full_name',#
    'gender',#
    'student_status',#= models.CharField(max_length=16)
    'school_status',#= models.CharField(max_length=16)
    'first_parent_name',#= models.CharField(max_length=64)
    'first_mobile_number',#= models.CharField(max_length=64)
    'second_parent_name',#= models.CharField(max_length=64)
    'second_mobile_number',#= models.CharField(max_length=64)
    'date_of_birth',#=models.DateTimeField(max_length=32, null=True)
    'school_name',#= models.CharField(max_length=64)
        )


class StudentsWithSubClassesDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_ab_student_details_1_a
        #fields=('name', 'address','telephone', 'status')
        fields=( 
    'student_id',#
    'first_name',#
    'middle_name',#
    'last_name',#
    'full_name',#
    'gender',#
    'student_status',#= models.CharField(max_length=16)
    'school_status',#= models.CharField(max_length=16)
    'first_parent_name',#= models.CharField(max_length=64)
    'first_mobile_number',#= models.CharField(max_length=64)
    'second_parent_name',#= models.CharField(max_length=64)
    'second_mobile_number',#= models.CharField(max_length=64)
    'date_of_birth',#=models.DateTimeField(max_length=32, null=True)
    'school_name',#= models.CharField(max_length=64)
    'school_id',#= models.CharField(max_length=64)
    'school_status',#= models.CharField(max_length=16)
    'stream',#= models.CharField(max_length=16)
    'academic_year',#= models.CharField(max_length=16)
        )



class ExamReportToParentsSerializer(serializers.ModelSerializer):
    class Meta:
        model=exam_report_to_parents
        #fields=('name', 'address','telephone', 'status')
        fields=( 
    'id',# = models.BigAutoField(primary_key=True)
    'school',#=models.ForeignKey(school, on_delete=models.CASCADE)
    'exams',#=models.ForeignKey(exams, on_delete=models.CASCADE)
    'school_sub_class',#=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    'academic_year',#=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    'student',#=models.ForeignKey(student, on_delete=models.CASCADE)
    'report_link',#=models.CharField(max_length=128)
    #mobile_no=models.CharField(max_length=64)
    'status',#=models.CharField(max_length=16)
    #'academic_year',#= models.CharField(max_length=16)
        )


class SchoolClassDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=school_class
        fields=( 
    'id',
    'name',
    'school',
    'class_levels',
    'status',
    
        )



class SchoolSubClassDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=school_sub_class
        fields=( 
    'id',
    'name',
    'school_class',
    'status',
    
        )



class SingleSchoolSubClassDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=school_sub_class
        fields=( 
    'id',
    'name',
    'school_class',
    'class_name',
    'class_id',
    
    'status',
    
        )


class AcademicYearDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=academic_year
        fields=( 
    'id',
    'name',
    'status',
        )





class SubjectsDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=subjects
        fields=( 
    'id',
    'name',
    'status',
        )



class SchoolClassViewDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_cc_school_class_1_a
        fields=( 
    'class_id',
    'class_name',
    'school_id',
    'school_name',
    
        )

class ExamsDetailsSerializer(serializers.ModelSerializer):
    class Meta:
        model=exams
        fields=( 
    'id',
    'school',
    'academic_year',
    'class_levels',
    'name',
    'status'
        )


class ClassLevelsSerializer(serializers.ModelSerializer):
    class Meta:
        model=class_levels
        fields=( 
    'id',
    'name',
    'status'
        )


class SchoolExamsSerializer(serializers.ModelSerializer):
    class Meta:
        model=class_levels
        fields=( 
    'id',
    'school',
    'academic_year',
    'class_levels'
    'name',
    'status',

        )




class SingleSchoolExamsSerializer(serializers.ModelSerializer):
    class Meta:
        model=class_levels
        fields=( 
    'exams_id',
    'academic_year_id',
    'school_id',
    'class_levels_id',
    'exams_name',
    'school_name',
    'academic_year',
    'class_levels_name'
    

        )



class ExamSubjectsSDSerializer(serializers.ModelSerializer):
    class Meta:
        model=exams_subject
        fields=( 
    'id',
    'exams',
    'school_sub_class',
    'subjects',
    'status',

        )


class ExamSubjectsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_dd_school_exam_subjects_1_a
        fields=( 
    'exam_subject_id',
    'exams_id',
    'school_sub_class_id',
    'subject_name',
    'exams_name',

        )




"""
 id = models.BigAutoField(primary_key=True)
    school=models.ForeignKey(school, on_delete=models.CASCADE)
    academic_year=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    class_levels=models.ForeignKey(class_levels, on_delete=models.CASCADE)
    name=models.CharField(max_length=64)
    status=models.CharField(max_length=16)
"""


class StudentExamScoreSerializer(serializers.ModelSerializer):
    class Meta:
        model=student_exam_score
        fields=( 
    'id',
    'exams',
    'exams_subject',
    'school_student',
    'score',
    'status',

        )


class TeachersSubjectsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_hh_teacher_subjects_details_1_a
        fields=( 
    'school_teacher_subjects_id',
    'users_id',
    'full_name',
    'school_id',
    'sub_class_id',

    'subclass_name',
    'subject_id',
    'subject_name',

        )


class StudentsExamScoreSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_nn_students_exam_score_details_1_a
        fields=( 
    
    'exam_subject_id',# = models.BigAutoField(primary_key=True)
    'student_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'exams_id',#= models.IntegerField()
    'subjects_id',#= models.IntegerField()
    'school_sub_class_id',#= models.IntegerField()
    'academic_year_id',
    
    'school_name',
    'full_name',
    'exams_name',
    'subject_name',
    'stream_name',
    'academic_year',
    'score_ext',
        )





class StudentsExamScoreSerializerNew(serializers.ModelSerializer):
    class Meta:
        model=view_v_no_students_exam_score_details_1_c
        fields=( 
    
    'exam_subject_id',# = models.BigAutoField(primary_key=True)
    'student_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'exams_id',#= models.IntegerField()
    'subjects_id',#= models.IntegerField()
    'school_sub_class_id',#= models.IntegerField()
    'academic_year_id',
    
    'school_name',
    'full_name',
    'exams_name',
    'subject_name',
    'stream_name',
    'academic_year',
    'v_no_students_exam_score_details_1_c',
    'total_score',
    'avg'
        )




class SingleTeacherExamSubjectsSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_hj_teachers_exam_subjects_details_1_a
        fields=( 

    'exam_subject_id',# = models.BigAutoField(primary_key=True) #
    'exams_id',#= models.IntegerField()#
    'class_levels_id',#= models.IntegerField()
    'class_id',#= models.IntegerField() #
    'subject_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'users_id',#= models.IntegerField()
    'school_sub_class_id',#= models.IntegerField() #
    #district_id= models.IntegerField()
    'school_name',#= models.CharField(max_length=128) #
    'subject_name',#= models.CharField(max_length=64)
    'exams_name',#= models.CharField(max_length=64)#
    'class_levels_name',#= models.CharField(max_length=16)
    'class_name',#= models.CharField(max_length=16) #
    'stream_name',#= models.CharField(max_length=16) #
    'full_name_name',#= models.CharField(max_length=64)#

        )




class StudentSubClassToCopySerializer(serializers.ModelSerializer):
    class Meta:
        model=student_sub_class
        fields=( 
    'id',# = models.BigAutoField(primary_key=True)
    'student',#=models.ForeignKey(student, on_delete=models.CASCADE)
    'school_sub_class',#=models.ForeignKey(school_sub_class, on_delete=models.CASCADE)
    'academic_year',#=models.ForeignKey(academic_year, on_delete=models.CASCADE)
    'status',#=models.CharField(max_length=16)

        )
        


class UsersNonParentAnnouncementSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_users_non_parent_announcement_1_a
        fields=( 
    'announcement_id',# = models.BigAutoField(primary_key=True)
    'announcement_receivers_id',#= models.IntegerField()
    'class_levels_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'msg',#= models.CharField(max_length=1024)
    'receivers',#= models.CharField(max_length=64)
    'users_id',#= models.IntegerField()
    'login_category_id',#= models.IntegerField()
    'full_name',#= models.CharField(max_length=64)
    'login_category_name',#= models.CharField(max_length=64)
    'user_announcement_status',#= models.CharField(max_length=32)
    'date_of_announcement',
    'creator_id',
    
    
    #'creator_id',
        )


class UsersNonParentAnnouncementSerializerB(serializers.ModelSerializer):
    class Meta:
        model=view_v_users_non_parent_announcement_1_b
        fields=( 
    'announcement_id',# = models.BigAutoField(primary_key=True)
    'announcement_receivers_id',#= models.IntegerField()
    'class_levels_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'msg',#= models.CharField(max_length=1024)
    'receivers',#= models.CharField(max_length=64)
    'users_id',#= models.IntegerField()
    'login_category_id',#= models.IntegerField()
    'full_name',#= models.CharField(max_length=64)
    'login_category_name',#= models.CharField(max_length=64)
    'user_announcement_status',#= models.CharField(max_length=32)
    'date_of_announcement',
    'creator_id',
    'creator_name',
    'title',
    'pdf'
        )

class UsersParentAnnouncementSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_users_parent_announcement_1_a
        fields=( 
    'announcement_id',# = models.BigAutoField(primary_key=True)
    'announcement_receivers_id',#= models.IntegerField()
    'class_levels_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'msg',#= models.CharField(max_length=1024)
    'receivers',#= models.CharField(max_length=64)
    'student_id',#= models.IntegerField()
    #'login_category_id',#= models.IntegerField()
    'first_parent_name',#= models.CharField(max_length=64)
    #'login_category_name',#= models.CharField(max_length=64)
    'parent_announcement_status',#= models.CharField(max_length=32)
   
        )
        

class UsersParentAnnouncementSerializerB(serializers.ModelSerializer):
    class Meta:
        model=view_v_users_parent_announcement_1_b
        fields=( 
    'announcement_id',# = models.BigAutoField(primary_key=True)
    'announcement_receivers_id',#= models.IntegerField()
    'class_levels_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'msg',#= models.CharField(max_length=1024)
    'receivers',#= models.CharField(max_length=64)
    'student_id',#= models.IntegerField()
    #'login_category_id',#= models.IntegerField()
    'first_parent_name',#= models.CharField(max_length=64)
    'date_of_announcement',#= models.CharField(max_length=64)
    'parent_announcement_status',#= models.CharField(max_length=32)
    'creator_id',
    'creator_name',
    'pdf',
    'title',
        )



class UsersParentAnnouncementSerializerB(serializers.ModelSerializer):
    class Meta:
        model=view_v_users_parent_announcement_1_b
        fields=( 
    'announcement_id',# = models.BigAutoField(primary_key=True)
    'announcement_receivers_id',#= models.IntegerField()
    'class_levels_id',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'msg',#= models.CharField(max_length=1024)
    'receivers',#= models.CharField(max_length=64)
    'student_id',#= models.IntegerField()
    #'login_category_id',#= models.IntegerField()
    'first_parent_name',#= models.CharField(max_length=64)
    'date_of_announcement',#= models.CharField(max_length=64)
    'parent_announcement_status',#= models.CharField(max_length=32)
    'creator_id',
    'creator_name',
        )


class OrganizationSchoolsViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_organization_schools_1_a
        fields=( 
    'organization_school_id',# = models.BigAutoField(primary_key=True)
    'organization_id',#= models.IntegerField()
    'organization_name',#= models.IntegerField()
    'school_id',#= models.IntegerField()
    'school_name',#= models.CharField(max_length=1024)
    
        )

### view_v_organization_schools_1_a

###
class OrganizationSchoolsPrimaryViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_organization_schools_primary_1_b
        fields=( 
     'organization_id',# = models.BigAutoField(primary_key=True)
    #organization_id= models.IntegerField()
    'organization_name',# = models.CharField(max_length=1024)
    'number_of_schools',# = models.IntegerField()
    'school_id',# = models.IntegerField()
    'school_name',# = models.CharField(max_length=528)
    
    'org_status',# = models.CharField(max_length=32)
        )

###


###
class OrganizationSchoolsSecondaryViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=view_v_organization_schools_secondary_1_b
        fields=( 
     'organization_id',# = models.BigAutoField(primary_key=True)
    #organization_id= models.IntegerField()
    'organization_name',# = models.CharField(max_length=1024)
    'number_of_schools',# = models.IntegerField()
    'school_id',# = models.IntegerField()
    'school_name',# = models.CharField(max_length=528)
    
    'org_status',# = models.CharField(max_length=32)
        )

###

class DocFilesViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=doc_files
        fields=( 
    'id',# = models.BigAutoField(primary_key=True)
    'title',#= models.IntegerField()
    'pdf',#= models.CharField(max_length=1024)
    'status',#= models.IntegerField()
    'announcements',

        )
        

class DocFilesEXTViewSerializer(serializers.ModelSerializer):
    class Meta:
        model=doc_files_ext
        fields='__all__'
