"""health_clinic_is_01 URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.urls import path
from school.views import (
CreateSchoolsView, UpdateSchoolsView,
SchoolsView,
CitiesView,
DistrictsView,
WardsView,

UserLoginView,
CreateSchoolAdminView,
SchoolAdminsView,

CreateSchoolTeacherView,
SchoolTeachersView,

CreateSchoolStudentView,
CreateSchoolClassView,
DeleteSchoolClassView,

SchoolClassView,
SchoolSubClassView,

SingleSchoolExamsView,

CreateSchoolSubClassView,
DeleteSchoolSubClassView,

AcademicYearView,
AllStudentsView,
CreateStudentInAStreamView,
SubjectsView,
CreateExamsView,
ClassLevelsView,
SchoolExamsView,
CreateExamSubjectsView,
ExamSubjectsView,
StudentExamScoreView,
SchoolAdminsView,
UpdateSchoolAdminView,
SchoolStudentsView,
SingleSchoolSubClassView,
SingleSchoolSubClassUsingClassView,

AllStudentsWithSubClassesView,
UpdateSchoolStudentView,

SingleTeacherSubjectsView,
CreateSingleTeacherSubjectsView,
DeleteSingleTeacherSubjectsView,
SchoolStudentsExamScoreView,


SingleTeacherExamSubjectsView,
SingleTeacherExamsView,


ExamSubjectsUsingSchoolIdView,
ExamSubjectsUsingSchoolIdAndExamsIdAndSubjectIdView,

DeleteExamSubjectsView,

CopyExamSubjectsToAnotherStreamView,

SingleSchoolClassView,

DeleteExamsView,

SubClassStudentsUsingSubClassAndAcademicYearView,


CopyStudentsToAnotherStreamView,

SingleTeacherExamSubClassView,

SubClassFullExamResultsView,

SingleSchoolExamsUsingSchoolIdView,

SubClassFullExamColumnsView,

SingleStudentFullExamResultsView,

)

urlpatterns = [
    #path('api/home', driverView.as_view()), UsersDetailsView
    #UserLoginView    SchoolAdminsView   CreateSchoolStudentView Teacher
    path('school/SchoolTeachersViewEXT', SchoolTeachersView.as_view()),

    path('school/SchoolAdminsViewEXT', SchoolAdminsView.as_view()),
    
    path('school/UserLoginViewEXT', UserLoginView.as_view()),
    path('school/WardsViewEXT', WardsView.as_view()),
    
    path('school/DistrictsViewEXT', DistrictsView.as_view()),

    path('school/CitiesViewEXT', CitiesView.as_view()),

    path('school/SchoolsViewEXT', SchoolsView.as_view()),
    
    path('school/CreateSchoolsViewEXT', CreateSchoolsView.as_view()),
    path('school/UpdateSchoolsViewEXT', UpdateSchoolsView.as_view()),

    path('school/CreateSchoolAdminViewEXT', CreateSchoolAdminView.as_view()),
    path('school/UpdateSchoolAdminViewEXT', UpdateSchoolAdminView.as_view()),

    path('school/CreateSchoolTeacherViewEXT', CreateSchoolTeacherView.as_view()),
    #path('school/UpdateSchoolAdminViewEXT', UpdateSchoolAdminView.as_view()),

    path('school/CreateSchoolStudentViewEXT', CreateSchoolStudentView.as_view()),
    path('school/UpdateSchoolStudentViewEXT', UpdateSchoolStudentView.as_view()),

    path('school/CreateSchoolClassViewEXT', CreateSchoolClassView.as_view()),

    path('school/DeleteSchoolClassViewEXT', DeleteSchoolClassView.as_view()),
    
    ###SchoolClassView   CreateSchoolSubClassView   AllStudentsView
    ### SchoolAdminsView
    ### /<str:serviceCategory>/ AllStudentsWithSubClassesView SingleTeacherSubjectsView,
    ###CreateSingleTeacherSubjectsView
    ###SchoolStudentsExamScoreView
    ###schoolId, subClassId, examsId, subjectId, academicYearId,
    ####SingleTeacherExamSubjectsView
    ###SingleSchoolExamsView
    ###SubClassStudentsUsingSubClassAndAcademicYearView academicYearId
    ###SingleSchoolExamsView
    ### SubClassFullExamColumnsView

    path('school/SubClassFullExamColumnsViewEXT/<int:examsId>/<int:subClassId>/', SubClassFullExamColumnsView.as_view()),
    
    
    path('school/SingleSchoolExamsUsingSchoolIdViewEXT/<int:schoolId>/', SingleSchoolExamsUsingSchoolIdView.as_view()),
    
    path('school/SingleStudentFullExamResultsViewEXT/<int:schoolId>/<int:examsId>/<int:subClassId>/<int:academicYearId>/<int:studentId>/', SingleStudentFullExamResultsView.as_view()),
    

    path('school/SubClassFullExamResultsViewEXT/<int:schoolId>/<int:examsId>/<int:subClassId>/<int:academicYearId>/', SubClassFullExamResultsView.as_view()),
    
    
    path('school/SubClassStudentsUsingSubClassAndAcademicYearViewEXT/<int:schoolId>/<int:subClassId>/<int:academicYearId>/', SubClassStudentsUsingSubClassAndAcademicYearView.as_view()),
    
    
    path('school/SingleSchoolExamsViewEXT/<int:schoolId>/<int:academicYearId>/<int:classLevelsId>/', SingleSchoolExamsView.as_view()),
    

    path('school/SingleTeacherExamsViewEXT/<int:schoolId>/<int:usersId>/', SingleTeacherExamsView.as_view()),
    
    path('school/SingleTeacherExamSubjectsViewEXT/<int:schoolId>/<int:usersId>/<int:examsId>/', SingleTeacherExamSubjectsView.as_view()),
    
    path('school/SingleTeacherExamSubClassViewEXT/<int:schoolId>/<int:usersId>/<int:examsId>/', SingleTeacherExamSubClassView.as_view()),
    

    path('school/SchoolStudentsExamScoreViewEXT/<int:schoolId>/<int:subClassId>/<int:examsId>/<int:subjectId>/<int:academicYearId>/', SchoolStudentsExamScoreView.as_view()),
    
    
    path('school/CreateSingleTeacherSubjectsViewEXT', CreateSingleTeacherSubjectsView.as_view()),

    path('school/DeleteSingleTeacherSubjectsViewEXT', DeleteSingleTeacherSubjectsView.as_view()),
    
    path('school/SingleTeacherSubjectsViewEXT/<int:schoolId>/<int:usersId>/', SingleTeacherSubjectsView.as_view()),
    
    
    path('school/AllStudentsWithSubClassesViewEXT/<int:schoolId>/', AllStudentsWithSubClassesView.as_view()),
   
    path('school/SchoolStudentsViewEXT/<int:schoolId>/', SchoolStudentsView.as_view()),

    path('school/SchoolAdminsViewEXT', SchoolAdminsView.as_view()),

    path('school/AllStudentsViewEXT', AllStudentsView.as_view()),

    path('school/SchoolClassViewEXT', SchoolClassView.as_view()),

    path('school/SingleSchoolClassViewEXT/<int:schoolId>/', SingleSchoolClassView.as_view()),

    path('school/SchoolSubClassViewEXT', SchoolSubClassView.as_view()),

    path('school/SingleSchoolSubClassViewEXT/<int:schoolId>/', SingleSchoolSubClassView.as_view()),

    path('school/SingleSchoolSubClassUsingClassViewEXT/<int:schoolId>/<int:classId>/', SingleSchoolSubClassUsingClassView.as_view()),

    path('school/AcademicYearViewEXT', AcademicYearView.as_view()),

    path('school/SubjectsViewEXT', SubjectsView.as_view()),

    path('school/ClassLevelsViewEXT', ClassLevelsView.as_view()),

    path('school/SchoolExamsViewEXT', SchoolExamsView.as_view()),

    path('school/DeleteExamsViewEXT', DeleteExamsView.as_view()),
    
    path('school/ExamSubjectsViewEXT', ExamSubjectsView.as_view()),
    
    ### ExamSubjectsUsingSchoolIdView

    path('school/ExamSubjectsUsingSchoolIdViewEXT/<int:schoolId>/', ExamSubjectsUsingSchoolIdView.as_view()),
    
    path('school/ExamSubjectsUsingSchoolIdAndExamsIdAndSubjectIdViewEXT/<int:schoolId>/<int:examsId>/<int:subClassId>/', ExamSubjectsUsingSchoolIdAndExamsIdAndSubjectIdView.as_view()),
    
    
    path('school/CopyExamSubjectsToAnotherStreamViewEXT', CopyExamSubjectsToAnotherStreamView.as_view()),
    ### CopyExamSubjectsToAnotherStreamView
    
    path('school/CopyStudentsToAnotherStreamViewEXT', CopyStudentsToAnotherStreamView.as_view()),
    
    path('school/CreateSchoolSubClassViewEXT', CreateSchoolSubClassView.as_view()),

    path('school/DeleteSchoolSubClassViewEXT', DeleteSchoolSubClassView.as_view()),

    #CreateStudentInAStreamView    SubjectsView CreateExamsView   ClassLevelsView
    path('school/CreateStudentInAStreamViewEXT', CreateStudentInAStreamView.as_view()),
    ### SchoolExamsView   ExamSubjectsView   StudentExamScoreView
    path('school/CreateExamsViewEXT', CreateExamsView.as_view()),

    path('school/CreateExamSubjectsViewEXT', CreateExamSubjectsView.as_view()),
    path('school/DeleteExamSubjectsViewEXT', DeleteExamSubjectsView.as_view()),


    path('school/CreateStudentExamScoreViewEXT', StudentExamScoreView.as_view()),
    
    
]
